org.jbpm.process.audit.strategy

## Class KieSessionCommandScopedStrategy

- java.lang.Object
- - org.jbpm.process.audit.strategy.KieSessionCommandScopedStrategy

- All Implemented Interfaces:
    PersistenceStrategy

      public class KieSessionCommandScopedStrategy
      extends Object
      implements PersistenceStrategy

  This strategy is used by instances that are
  - used inside the `KieSession`
  - use the same (command-scoped) `EntityManager` instance as the `KieSession`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KieSessionCommandScopedStrategy(org.kie.api.runtime.Environment env)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `javax.persistence.EntityManager` | `getEntityManager()`
    `Object` | `joinTransaction(javax.persistence.EntityManager em)`
    `void` | `leaveTransaction(javax.persistence.EntityManager em, Object transaction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KieSessionCommandScopedStrategy

          public KieSessionCommandScopedStrategy(org.kie.api.runtime.Environment env)

  - ### Method Detail

    - #### getEntityManager

          public javax.persistence.EntityManager getEntityManager()

      Specified by:
        `getEntityManager` in interface `PersistenceStrategy`

    - #### joinTransaction

          public Object joinTransaction(javax.persistence.EntityManager em)

      Specified by:
        `joinTransaction` in interface `PersistenceStrategy`

    - #### leaveTransaction

          public void leaveTransaction(javax.persistence.EntityManager em,
                                       Object transaction)

      Specified by:
        `leaveTransaction` in interface `PersistenceStrategy`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `PersistenceStrategy`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.